openSUSE Security Update : libtorrent-rasterbar (openSUSE-2016-774)

Medium Nessus Plugin ID 91849


The remote openSUSE host is missing a security update.


This update for libtorrent-rasterbar fixes the following issues :

- CVE-2016-5301: Crash on invalid input in http_parser could have allowed a remote attacker to perform a denial of service attack (boo#983228).

In addition, the package was updated to 1.0.9 / 1.16.19, fixing various upstream bugs.


Update the affected libtorrent-rasterbar packages.

See Also

Plugin Details

Severity: Medium

ID: 91849

File Name: openSUSE-2016-774.nasl

Version: $Revision: 2.3 $

Type: local

Agent: unix

Published: 2016/06/27

Modified: 2016/10/13

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P


Base Score: 7.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:libtorrent-rasterbar-debugsource, p-cpe:/a:novell:opensuse:libtorrent-rasterbar-devel, p-cpe:/a:novell:opensuse:libtorrent-rasterbar7, p-cpe:/a:novell:opensuse:libtorrent-rasterbar7-debuginfo, p-cpe:/a:novell:opensuse:python-libtorrent-rasterbar, p-cpe:/a:novell:opensuse:python-libtorrent-rasterbar-debuginfo, cpe:/o:novell:opensuse:13.1

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2016/06/26

Reference Information

CVE: CVE-2016-5301